/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author Tcs Help desk122
 */
public class PayrollBean {

    public String grade_id;
    public String grade;
    public String status;
    public String checkOption;  
    public String designation;
    public String designation_id;
    public String employee;
    public String employee_id;
    public String cif;
    public String joinDate;
    public String confirmDate;
    public String retireDate;  
    public String designationCode;
    public String salaryAcc;
    public String gradeCode;
    public String basicAmt;
    public String daRate;
    public String daAmt;
    public String msaAmt;
    public String epfStaffRate;
    public String epfStaffAmt;
    public String epfSocRate;
    public String epfSocAmt;
    public String taxAmt;  
    public String otherAmt;
    public String dependent;
    public String dob;
    public String relation;
    public String nominee;
    public String ename;
    public String id;
    public String leave;
    public String leaveType;
    public String yearlyCredit;
    public String encashFlag;
    public String carryfFlag;
    public String encashLimit;
    public String minReserve;
    public String maxReserve;
    public String minAllow;
    public String maxAllow;
    public String leaveBal;
    public String remarks;
    public String leaveId;
    public String fromDate;
    public String toDate;
    public String salaryGL;
    public String pTax;
    public String otherDeduct;
    public String epfStaffCr;
    public String epfSocDr;
    public String epfSocCr;
    public String glid;
    public String taxid;
    public String otherid;
    public String staffcrid;
    public String socdrid;
    public String soccrid;
    public String monthyear;
    public String procDate;

    
    public String getMonthyear() {
        return monthyear;
    }

    public void setMonthyear(String monthyear) {
        this.monthyear = monthyear;
    }

    public String getProcDate() {
        return procDate;
    }

    public void setProcDate(String procDate) {
        this.procDate = procDate;
    }

    public String getTaxid() {
        return taxid;
    }

    public void setTaxid(String taxid) {
        this.taxid = taxid;
    }

    public String getOtherid() {
        return otherid;
    }

    public void setOtherid(String otherid) {
        this.otherid = otherid;
    }

    public String getStaffcrid() {
        return staffcrid;
    }

    public void setStaffcrid(String staffcrid) {
        this.staffcrid = staffcrid;
    }

    public String getSocdrid() {
        return socdrid;
    }

    public void setSocdrid(String socdrid) {
        this.socdrid = socdrid;
    }

    public String getSoccrid() {
        return soccrid;
    }

    public void setSoccrid(String soccrid) {
        this.soccrid = soccrid;
    }
    
    public String getGlid() {
        return glid;
    }

    public void setGlid(String glid) {
        this.glid = glid;
    }
            
    public String getSalaryGL() {
        return salaryGL;
    }

    public void setSalaryGL(String salaryGL) {
        this.salaryGL = salaryGL;
    }

    public String getpTax() {
        return pTax;
    }

    public void setpTax(String pTax) {
        this.pTax = pTax;
    }

    public String getOtherDeduct() {
        return otherDeduct;
    }

    public void setOtherDeduct(String otherDeduct) {
        this.otherDeduct = otherDeduct;
    }

    public String getEpfStaffCr() {
        return epfStaffCr;
    }

    public void setEpfStaffCr(String epfStaffCr) {
        this.epfStaffCr = epfStaffCr;
    }

    public String getEpfSocDr() {
        return epfSocDr;
    }

    public void setEpfSocDr(String epfSocDr) {
        this.epfSocDr = epfSocDr;
    }

    public String getEpfSocCr() {
        return epfSocCr;
    }

    public void setEpfSocCr(String epfSocCr) {
        this.epfSocCr = epfSocCr;
    }

    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    public String getToDate() {
        return toDate;
    }

    public void setToDate(String toDate) {
        this.toDate = toDate;
    }
    
    public String getLeaveId() {
        return leaveId;
    }

    public void setLeaveId(String leaveId) {
        this.leaveId = leaveId;
    }
        
    public String getLeaveBal() {
        return leaveBal;
    }

    public void setLeaveBal(String leaveBal) {
        this.leaveBal = leaveBal;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
        
    public String getLeaveType() {
        return leaveType;
    }

    public void setLeaveType(String leaveType) {
        this.leaveType = leaveType;
    }

    public String getYearlyCredit() {
        return yearlyCredit;
    }

    public void setYearlyCredit(String yearlyCredit) {
        this.yearlyCredit = yearlyCredit;
    }

    public String getEncashFlag() {
        return encashFlag;
    }

    public void setEncashFlag(String encashFlag) {
        this.encashFlag = encashFlag;
    }

    public String getCarryfFlag() {
        return carryfFlag;
    }

    public void setCarryfFlag(String carryfFlag) {
        this.carryfFlag = carryfFlag;
    }

    public String getEncashLimit() {
        return encashLimit;
    }

    public void setEncashLimit(String encashLimit) {
        this.encashLimit = encashLimit;
    }

    public String getMinReserve() {
        return minReserve;
    }

    public void setMinReserve(String minReserve) {
        this.minReserve = minReserve;
    }

    public String getMaxReserve() {
        return maxReserve;
    }

    public void setMaxReserve(String maxReserve) {
        this.maxReserve = maxReserve;
    }

    public String getMinAllow() {
        return minAllow;
    }

    public void setMinAllow(String minAllow) {
        this.minAllow = minAllow;
    }

    public String getMaxAllow() {
        return maxAllow;
    }

    public void setMaxAllow(String maxAllow) {
        this.maxAllow = maxAllow;
    }

    public String getLeave() {
        return leave;
    }

    public void setLeave(String leave) {
        this.leave = leave;
    }
        
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
        
    public String getEname() {
        return ename;
    }

    public void setEname(String ename) {
        this.ename = ename;
    }
    
    public String getDependent() {
        return dependent;
    }

    public void setDependent(String dependent) {
        this.dependent = dependent;
    }

    public String getDob() {
        return dob;
    }

    public void setDob(String dob) {
        this.dob = dob;
    }

    public String getRelation() {
        return relation;
    }

    public void setRelation(String relation) {
        this.relation = relation;
    }

    public String getNominee() {
        return nominee;
    }

    public void setNominee(String nominee) {
        this.nominee = nominee;
    }

    public String getCif() {
        return cif;
    }

    public void setCif(String cif) {
        this.cif = cif;
    }

    public String getJoinDate() {
        return joinDate;
    }

    public void setJoinDate(String joinDate) {
        this.joinDate = joinDate;
    }

    public String getConfirmDate() {
        return confirmDate;
    }

    public void setConfirmDate(String confirmDate) {
        this.confirmDate = confirmDate;
    }

    public String getRetireDate() {
        return retireDate;
    }

    public void setRetireDate(String retireDate) {
        this.retireDate = retireDate;
    }

    public String getDesignationCode() {
        return designationCode;
    }

    public void setDesignationCode(String designationCode) {
        this.designationCode = designationCode;
    }

    public String getSalaryAcc() {
        return salaryAcc;
    }

    public void setSalaryAcc(String salaryAcc) {
        this.salaryAcc = salaryAcc;
    }

    public String getGradeCode() {
        return gradeCode;
    }

    public void setGradeCode(String gradeCode) {
        this.gradeCode = gradeCode;
    }

    public String getBasicAmt() {
        return basicAmt;
    }

    public void setBasicAmt(String basicAmt) {
        this.basicAmt = basicAmt;
    }

    public String getDaRate() {
        return daRate;
    }

    public void setDaRate(String daRate) {
        this.daRate = daRate;
    }

    public String getDaAmt() {
        return daAmt;
    }

    public void setDaAmt(String daAmt) {
        this.daAmt = daAmt;
    }

    public String getMsaAmt() {
        return msaAmt;
    }

    public void setMsaAmt(String msaAmt) {
        this.msaAmt = msaAmt;
    }

    public String getEpfStaffRate() {
        return epfStaffRate;
    }

    public void setEpfStaffRate(String epfStaffRate) {
        this.epfStaffRate = epfStaffRate;
    }

    public String getEpfStaffAmt() {
        return epfStaffAmt;
    }

    public void setEpfStaffAmt(String epfStaffAmt) {
        this.epfStaffAmt = epfStaffAmt;
    }

    public String getEpfSocRate() {
        return epfSocRate;
    }

    public void setEpfSocRate(String epfSocRate) {
        this.epfSocRate = epfSocRate;
    }

    public String getEpfSocAmt() {
        return epfSocAmt;
    }

    public void setEpfSocAmt(String epfSocAmt) {
        this.epfSocAmt = epfSocAmt;
    }

    public String getTaxAmt() {
        return taxAmt;
    }

    public void setTaxAmt(String taxAmt) {
        this.taxAmt = taxAmt;
    }

    public String getOtherAmt() {
        return otherAmt;
    }

    public void setOtherAmt(String otherAmt) {
        this.otherAmt = otherAmt;
    }
    
    public String getEmployee() {
        return employee;
    }

    public void setEmployee(String employee) {
        this.employee = employee;
    }

    public String getEmployee_id() {
        return employee_id;
    }

    public void setEmployee_id(String employee_id) {
        this.employee_id = employee_id;
    }

    public String getDesignation() {
        return designation;
    }

    public void setDesignation(String designation) {
        this.designation = designation;
    }

    public String getDesignation_id() {
        return designation_id;
    }

    public void setDesignation_id(String designation_id) {
        this.designation_id = designation_id;
    }
    
    public String getCheckOption() {
        return checkOption;
    }

    public void setCheckOption(String checkOption) {
        this.checkOption = checkOption;
    }    

    public String getGrade_id() {
        return grade_id;
    }

    public void setGrade_id(String grade_id) {
        this.grade_id = grade_id;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    
}
